Supported models
Voice cloning requests generate demo audio. This audio is billed at the synchronous speech synthesis rate for the selected model.
Model name | Demo price (synchronous synthesis, per 10,000 characters) | Voice cloning(per request) | Free quota(note) |
|---|---|---|---|
MiniMax/speech-2.8-hd | CNY 3.5 | Synthesizing speech with a cloned voice for the first time incurs a one-time voice unlock fee of CNY 9.9. | None |
MiniMax/speech-02-hd | CNY 3.5 | ||
MiniMax/speech-2.8-turbo | CNY 2.0 | ||
MiniMax/speech-02-turbo | CNY 2.0 |
Endpoint
- Chinese mainland
In the Chinese Mainland Deployment Mode, the access point and data storage are in the Beijing region. Model inference is restricted to the Chinese Mainland.HTTP request endpoint:
POST https://dashscope.aliyuncs.com/api/v1/services/aigc/multimodal-generation/generationBase URL for SDK configuration: https://dashscope.aliyuncs.com/api/v1Request headers
Parameter | Type | Required | Description |
|---|---|---|---|
Authorization | string | Yes | Authentication token in the format |
Content-Type | string | Yes | Must be |
Request bodymodelstring(Required)Specifies the speech model to use for synthesizing the demo audio.inputobject(Required)
Properties action string(Required)The action to perform. Set this to voice_clone.audio_urlstring(Required)The URL of the audio file for cloning. The audio must meet the following requirements:
object(Optional)An audio sample to enhance the similarity and stability of the synthesized voice.
Properties prompt_audio string(Optional)The URL of the sample audio file. The audio must meet the following requirements:
string(Optional)The transcript of the sample audio. Ensure it matches the audio content exactly and ends with a punctuation mark.string(Required)The text to be synthesized into the demo audio using the cloned voice. The text cannot exceed 1,000 characters.The demo audio is billed based on the number of characters, according to the MiniMax model pricing.
string(Required)A unique identifier for the cloned voice. Example: "MiniMax001". When defining a custom voice_id, follow these rules:
This parameter is globally unique. We recommend including a timestamp or other unique information in the ID.language_boost enum<string>(Optional) Default: nullEnhances the recognition of specific low-resource languages and dialects. Set to auto to let the model decide.
Available Options Chinese, Chinese,Yue, English, Arabic, Russian, Spanish, French, Portuguese, German, Turkish, Dutch, Ukrainian, Vietnamese, Indonesian, Japanese, Italian, Korean, Thai, Polish, Romanian, Greek, Czech, Finnish, Hindi, Bulgarian, Danish, Hebrew, Malay, Persian, Slovak, Swedish, Croatian, Filipino, Hungarian, Norwegian, Slovenian, Catalan, Nynorsk, Tamil, Afrikaans, autoboolean (Optional) Default: falseSpecifies whether to enable noise reduction for the audio cloning process.need_volume_normalizationboolean (Optional) Default: falseSpecifies whether to enable volume normalization.aigc_watermarkboolean (Optional) Default: falseSpecifies whether to add an audio rhythm marker at the end of the synthesized demo audio. |
|
Response bodyrequest_idstringThe unique identifier for this request.outputobject
Properties input_sensitive booleanIndicates whether the input audio triggered risk control.input_sensitive_typeintegerThe type of risk control triggered by the input audio. Possible values include:
stringThe URL of the generated demo audio.base_respobject
Properties status_code integerThe status code of the request.
stringA detailed message describing the status.objectThe character usage for this request.
Properties characters integerThe number of characters in the input text. |
|